extends Polygon2D
class_name Pesticide

@onready var death_box = $DeathBox

func _ready():
	death_box.connect("body_entered", Callable(self, "_on_body_entered"))

func _on_body_entered(area):
	if area.is_in_group("bee"):
		area.die()